#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  PulseAudio-17.0

- Next

  sdl2-compat-2.32.68

- Up
- Home

# SBC-2.2

## Introduction to SBC

The SBC package is a digital audio encoder and decoder used to transfer data to Bluetooth audio output devices like headphones or loudspeakers.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://www.kernel.org/pub/linux/bluetooth/sbc-2.2.tar.xz

- Download MD5 sum: f3f1a4e69249241801bc8ddd6050de23

- Download size: 272 KB

- Estimated disk space required: 3.2 MB

- Estimated build time: less than 0.1 SBU

### SBC Dependencies

#### Optional

libsndfile-1.2.2

## Installation of SBC

Install SBC by running the following commands:

    ./configure --prefix=/usr --disable-static --disable-tester &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-tester`: This disables the SBC tester. Remove it if you have installed libsndfile-1.2.2.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: sbcdec, sbcenc, and sbcinfo
Installed Library: libsbc.so
Installed Directory: /usr/include/sbc

### Short Descriptions

sbcdec | is a SBC decoder utility
sbcenc | is a SBC encoder utility
sbcinfo | is a subband codec (SBC) analyzer
`libsbc.so` | contains the SBC API functions

- Prev

  PulseAudio-17.0

- Next

  sdl2-compat-2.32.68

- Up
- Home